<template>
	<div>
		<div class="content_switcher">
			<p>{{ $store.state.locale.timerSwitch }}</p>
			<input type="checkbox" @click="intervalFunc()" class="content_switcher"
				   id="switch"/><label class="switcher_label" for="switch"></label>
		</div>
		<operator-rating v-show="switchComponent"></operator-rating>

		<statistics v-show="!switchComponent"></statistics>
	</div>
</template>

<script>
	import OperatorRating from '../components/operator-rating/operator-rating'
	import Statistics from '../components/statistics/index'

	export default {
		components: {
			OperatorRating,
			Statistics,
		},
		data() {
			return {
				switchComponent: true,
				intervalCode: 0,
				isChecked: true,
			}
		},
		mounted() {
			this.intervalCode = setInterval(() => {
				this.switchComponent = !this.switchComponent;
			}, 10000);
		},
		methods: {
			intervalFunc() {
				if (this.isChecked) {
					clearInterval(this.intervalCode);
					this.isChecked = !this.isChecked
				}
				else {
					this.intervalCode = setInterval(() => {
						this.switchComponent = !this.switchComponent;
					}, 10000);
					this.isChecked = !this.isChecked
				}
			}
		}
	}
</script>

<style scoped>
	.content_switcher {
		margin-top: 8px;
		display: flex;
		justify-content: flex-end;
	}

	.content_switcher input[type="checkbox"] {
		height: 0;
		width: 0;
		visibility: hidden;
	}

	.content_switcher label {
		cursor: pointer;
		text-indent: -9999px;
		width: 40px;
		height: 21px;
		background: grey;
		display: block;
		border-radius: 100px;
		position: relative;
		margin-left: 10px;
		margin-right: 16px;
	}

	.content_switcher label:after {
		content: "";
		position: absolute;
		top: 3px;
		left: 5px;
		width: 15px;
		height: 15px;
		background: #fff;
		border-radius: 15px;
		-webkit-transition: 0.3s;
		transition: 0.3s;
	}

	.content_switcher input:checked + label {
		background: #bada55;
	}

	.content_switcher input:checked + label:after {
		left: calc(100% - 5px);
		transform: translateX(-100%);
	}

</style>